<?php
  
  namespace Api\Controllers\Auth;
  
  use Api\Core\Controller;
  use PDO;
  
  class LoginController extends Controller
  {
    public function login()
    {
      validate([
        'username' => 'required',
        'password' => 'required'
      ]);
      
      $login = db()->prepare("SELECT * FROM Accounts WHERE username = ?");
      $login->execute(array(input("username")));
      $readAccount = $login->fetch();
      if ($login->rowCount() > 0) {
        $password = checkPassword(settings("passwordType"), input("password"), $readAccount["password"]);
        
        if ($password) {
          $loginToken = md5(uniqid(mt_rand(), true));
          $insertAccountSessions = db()->prepare("INSERT INTO AccountSessions (accountID, loginToken, creationIP, expiryDate, creationDate) VALUES (?, ?, ?, ?, ?)");
          $insertAccountSessions->execute(array($readAccount["id"], $loginToken, getIP(), createDuration(0.01666666666), date("Y-m-d H:i:s")));
          
          api()->success([
            'token' => $loginToken
          ]);
        }
        else {
          api()->unauthorized('WRONG_PASSWORD', 'Wrong password!');
        }
      }
      else {
        api()->notFound('USER_NOT_FOUND', 'User not found!');
      }
    }
  }