<?php
  
  namespace Api\Controllers;
  
  use Api\Core\Controller;

  class BirFaturaController extends Controller
  {
    public function orderStatus()
    {
      response()->json([
        "OrderStatus" => [
          [
            "Id" => 1,
            "Value" => "Onaylandı"
          ],
          [
            "Id" => 2,
            "Value" => "İptal Edildi"
          ]
        ]
      ]);
    }

    public function paymentMethods()
    {
      response()->json([
        "PaymentMethods" => [
          [
            "Id" => 1,
            "Value" => "Kredi Kartı"
          ],
          [
            "Id" => 2,
            "Value" => "Mobil Ödeme"
          ],
          [
            "Id" => 3,
            "Value" => "EFT"
          ],
          [
            "Id" => 4,
            "Value" => "Papara"
          ],
          [
            "Id" => 5,
            "Value" => "Ininal"
          ]
        ]
      ]);
    }

    public function orders()
    {
      $orderList = [];
      $orders = db()->prepare("SELECT O.*, A.email, ACI.firstName, ACI.lastName, ACI.phoneNumber FROM Orders O INNER JOIN Accounts A ON A.id = O.accountID INNER JOIN AccountContactInfo ACI ON A.id = ACI.accountID WHERE O.status = ? AND O.earnings > 0 AND O.creationDate >= ?");
      $orders->execute([1, settings('birfaturaLastCheck')]);
      $orders = $orders->fetchAll();
      foreach($orders as $readOrder) {
        array_push($orderList, array (
            'OrderId' => $readOrder["id"],
            'OrderCode' => $readOrder["id"],
            'OrderDate' => date("d.m.Y H:i:s", strtotime($readOrder["creationDate"])),
            'CustomerId' => $readOrder["accountID"],
            'BillingName' => $readOrder["firstName"].' '.$readOrder["lastName"],
            'BillingAddress' => '*******************',
            'BillingTown' => '********',
            'BillingCity' => 'İstanbul',
            'BillingMobilePhone' => $readOrder["phoneNumber"],
            'SSNTCNo' => '11111111111',
            'Email' => $readOrder["email"],
            'ShippingName' => $readOrder["firstName"].' '.$readOrder["lastName"],
            'ShippingAddress' => '*******************',
            'ShippingTown' => '********',
            'ShippingCity' => 'İstanbul',
            'ShippingPhone' => $readOrder["phoneNumber"],
            'PaymentTypeId' => 1,
            'Currency' => 'TRY',
            'TotalPaidTaxExcluding' => (int)$readOrder["earnings"]/1.20,
            'TotalPaidTaxIncluding' => (int)$readOrder["earnings"],
            'ProductsTotalTaxExcluding' => (int)$readOrder["earnings"]/1.20,
            'ProductsTotalTaxIncluding' => (int)$readOrder["earnings"],
            'OrderDetails' => array (
              0 =>
                array (
                  'ProductId' => 1,
                  'ProductCode' => 'SIPARIS',
                  'ProductName' => 'Sipariş #' . $readOrder["id"],
                  'ProductQuantityType' => 'Adet',
                  'ProductQuantity' => 1.0,
                  'VatRate' => 20,
                  'ProductUnitPriceTaxExcluding' => (int)$readOrder["earnings"]/1.20,
                  'ProductUnitPriceTaxIncluding' => (int)$readOrder["earnings"]
                ),
            ),
          )
        );
      }
      //updateSetting('birfaturaLastCheck', date("Y-m-d H:i:s"));

      response()->json([
        'Orders' => $orderList
      ]);
    }
  }