<?php
  
  namespace Api\Controllers;
  
  use Api\Core\Controller;
  use Api\Services\UserService;
  use PDO;
  
  class UserController extends Controller
  {
    public function show()
    {
      $user = UserService::getByParams();
      if (!$user) api()->notFound('USER_NOT_FOUND', 'User not found!');
      
      unset($user['password']);
      
      response()->json($user);
    }
    
    public function tickets($user) {
	    $user = UserService::getByID($user);
      if (!$user) api()->notFound('USER_NOT_FOUND', 'User not found!');
      
      $tickets = db()->prepare("SELECT S.*, SP.name as categoryName FROM Supports S INNER JOIN SupportCategories SP ON SP.id = S.categoryID WHERE S.accountID = ?");
      $tickets->execute([$user['id']]);
      $tickets = $tickets->fetchAll(PDO::FETCH_ASSOC);
      
      response()->json($tickets);
    }
    
    public function orders($user) {
	    $user = UserService::getByID($user);
      if (!$user) api()->notFound('USER_NOT_FOUND', 'User not found!');
      
      $orders = db()->prepare("SELECT * FROM Orders WHERE accountID = ?");
      $orders->execute([$user['id']]);
      $orders = $orders->fetchAll(PDO::FETCH_ASSOC);
      
      response()->json($orders);
    }
  }