<?php

namespace Dashboard\Controllers;

use Curl\Curl;
use Dashboard\Core\Controller;

class ModuleController extends Controller
{
    public function __construct()
    {
        abort_perm('MANAGE_SETTINGS');
    }

    public function index()
    {
        $modules = db()->query("SELECT * FROM Modules");
        return view('modules.index', compact('modules'));
    }

    public function toggle($id)
    {
        $module = db()->prepare("SELECT * FROM Modules WHERE id = ?");
        $module->execute(array($id));
        $module = $module->fetch();

        $updateModules = db()->prepare("UPDATE Modules SET isEnabled = ? WHERE id = ?");
        $updateModules->execute(array($module['isEnabled'] == '0' ? '1' : '0', $id));
	    
		    // Collect Tebex data
				try {
					if ($module['slug'] == 'tebex_store' && LOCATION === 'GLOBAL') {
						$curl = new Curl();
						$curl->post("https://api2.leaderos.net/v4/services/tebex/module-status.php", [
							"apiKey"   => settings('apiKey'),
							"moduleStatus" => $module['isEnabled'] == '0' ? '1' : '0',
							"isConfigured" => settings('tebexStorePublicKey') != '' ? '1' : '0',
						]);
					}
				} catch (\Exception $e) {}

        createLog("MODULES_UPDATED");

        response()->json([
          'status' => 'success',
          'message' => $module['isEnabled'] == '0' ? t__('Module enabled successfully!') : t__('Module disabled successfully!')
        ]);
    }
}