<?php

namespace Dashboard\Controllers\Settings;

use Dashboard\Core\Controller;

class SmtpController extends Controller
{
    public function __construct()
    {
        abort_perm('MANAGE_SETTINGS');
    }

    public function index()
    {
        return view('settings.smtp.index');
    }

    public function update()
    {
        validate([
            'smtpServer' => 'required',
            'smtpPort' => 'required',
            'smtpSecure' => 'required',
            'smtpUsername' => 'required',
            'smtpPassword' => 'required',
            'smtpPasswordTemplate' => 'required',
            'smtpTFATemplate' => 'required',
            'smtpVerifyEmailTemplate' => 'required',
            'smtpVerifyEmailChangeTemplate' => 'required',
            'purchaseEmail' => 'required',
            'purchaseEmailTemplate' => 'required',
            'supportAnsweredEmail' => 'required',
            'supportAnsweredEmailTemplate' => 'required',
        ]);

        foreach ($_POST as $key => $value) {
            if (
                $key == "smtpPasswordTemplate" ||
                $key == "smtpTFATemplate" ||
                $key == "smtpVerifyEmailTemplate" ||
                $key == "smtpVerifyEmailChangeTemplate" ||
                $key == "purchaseEmailTemplate" ||
                $key == "supportAnsweredEmailTemplate"
            ) {
                $value = filteredContent($_POST[$key]);
            }
            else {
                $value = input($key);
            }

            $updateSettings = db()->prepare("UPDATE Settings SET value = ? WHERE name = ?");
            $updateSettings->execute([$value, $key]);
        }
        createLog("SMTP_SETTINGS_UPDATED");
        return back()->flash("success", t__('Changes has been saved successfully!'));
    }
}