<?php

namespace Dashboard\Controllers\Settings;

use Dashboard\Core\Controller;

class SystemController extends Controller
{
    public function __construct()
    {
        abort_perm('MANAGE_SETTINGS');
    }

    public function index()
    {
        $recaptchaPagesStatusJSON = settings("recaptchaPagesStatus");
        $recaptchaPagesStatus = json_decode($recaptchaPagesStatusJSON, true);

        $zoneIdentifiers = timezone_identifiers_list();
        $zoneLocations = array();

        return view('settings.system.index', compact('recaptchaPagesStatus', 'zoneIdentifiers', 'zoneLocations'));
    }

    public function update()
    {
        $recaptchaPagesStatusJSON = settings("recaptchaPagesStatus");
        $recaptchaPagesStatus = json_decode($recaptchaPagesStatusJSON, true);
				
        if (input("storeRedirectStatus") == 0) {
            set_input("storeRedirect", '');
        }
        if (input("cashbackStatus") == 0) {
            set_input("cashback", 0);
        }
        if (input("bonusCreditStatus") == 0) {
            set_input("bonusCredit", '0');
            set_input("bonusCreditMinAmount", '0');
        }
        if (input("bonusCreditStatus") == 0 || input("bonusCreditExpiryStatus") == 0) {
          set_input("bonusCreditExpiryDate", '1000-01-01 00:00:00');
        }

        $recaptchaPagesStatusArray = $recaptchaPagesStatus;
        if (
					input("recaptchaPublicKey") == "" ||
					input("recaptchaPrivateKey") == ""
        ) {
	        $recaptchaPagesStatusArray["login"] = 0;
	        $recaptchaPagesStatusArray["register"] = 0;
	        $recaptchaPagesStatusArray["forgot_password"] = 0;
	        $recaptchaPagesStatusArray["reply_blog_post"] = 0;
	        $recaptchaPagesStatusArray["open_ticket"] = 0;
	        $recaptchaPagesStatusArray["reply_ticket"] = 0;
	        $recaptchaPagesStatusArray["tfa"] = 0;
	        $recaptchaPagesStatusArray["post_thread"] = 0;
	        $recaptchaPagesStatusArray["reply_thread"] = 0;
	        $recaptchaPagesStatusArray["post_suggestion"] = 0;
	        $recaptchaPagesStatusArray["reply_suggestion"] = 0;
        } else {
	        $recaptchaPagesStatusArray["login"] = $_POST["recaptchaPagesStatus"][0];
	        $recaptchaPagesStatusArray["register"] = $_POST["recaptchaPagesStatus"][1];
	        $recaptchaPagesStatusArray["forgot_password"] = $_POST["recaptchaPagesStatus"][2];
	        $recaptchaPagesStatusArray["reply_blog_post"] = $_POST["recaptchaPagesStatus"][3];
	        $recaptchaPagesStatusArray["open_ticket"] = $_POST["recaptchaPagesStatus"][4];
	        $recaptchaPagesStatusArray["reply_ticket"] = $_POST["recaptchaPagesStatus"][5];
	        $recaptchaPagesStatusArray["tfa"] = $_POST["recaptchaPagesStatus"][6];
	        $recaptchaPagesStatusArray["post_thread"] = $_POST["recaptchaPagesStatus"][7];
	        $recaptchaPagesStatusArray["reply_thread"] = $_POST["recaptchaPagesStatus"][8];
	        $recaptchaPagesStatusArray["post_suggestion"] = $_POST["recaptchaPagesStatus"][9];
	        $recaptchaPagesStatusArray["reply_suggestion"] = $_POST["recaptchaPagesStatus"][10];
        }
        $recaptchaPagesStatusJSON = json_encode($recaptchaPagesStatusArray);

        $_POST["cashback"] = str_replace('%', '', $_POST["cashback"]);

        foreach ($_POST as $key => $value) {
            if ($key == "recaptchaPagesStatus")
                $value = $recaptchaPagesStatusJSON;
            else
                $value = input($key);

            $updateSettings = db()->prepare("UPDATE Settings SET value = ? WHERE name = ?");
            $updateSettings->execute([$value, $key]);
        }
        createLog("SYSTEM_SETTINGS_UPDATED");

        return back()->flash("success", t__('Changes has been saved successfully!'));
    }
}