<?php

namespace Dashboard\Controllers\TebexStore;

use Curl\Curl;
use Dashboard\Core\Controller;

class SettingController extends Controller
{
    public function __construct()
    {
        abort_perm('MANAGE_SETTINGS');
    }

    public function index()
    {
        return view('tebex-store.settings.index');
    }

    public function update()
    {
        validate([
          'tebexStorePublicKey' => 'required',
          'tebexStoreSecretKey' => 'required',
        ]);

        updateSettings([
          'tebexStorePublicKey' => input('tebexStorePublicKey'),
          'tebexStoreSecretKey' => input('tebexStoreSecretKey'),
        ]);
	    
				// Collect Tebex data
		    try {
			    if (LOCATION === 'GLOBAL') {
				    $curl = new Curl();
				    $curl->post("https://api2.leaderos.net/v4/services/tebex/module-status.php", [
					    "apiKey"   => settings('apiKey'),
					    "moduleStatus" => '1',
					    "isConfigured" => '1',
				    ]);
			    }
		    } catch (\Exception $e) {}
				
        createLog("TEBEX_STORE_SETTINGS_UPDATED");
				
        return back()->flash("success", t__('Changes has been saved successfully!'));

    }
}