<?php
$breadcrumbs = [
    [
        'url' => 'dashboard.settings.index',
        'text' => t__('Settings')
    ],
    [
        'text' => t__('General')
    ]
];
$this->layout('layouts/main', [
    'title' => t__('General Settings'),
    'category' => 'settings.general',
    'breadcrumbs' => $breadcrumbs
]) ?>

<section class="los-container tight-container py-9">
    <div class="los-page-heading">
        <h1 class="text-gray-950"><?php e__('General Settings') ?></h1>
		    <div class="flex gap-2">
			    <a href="<?php echo leaderosHelpUrl() ?>/settings/general" class="btn btn-dark" target="_blank">
				    <?php e__('Help') ?>
			    </a>
	        <a href="<?php echo url('dashboard.settings.index') ?>" class="btn btn-default">
	            <?php e__('Back') ?>
	        </a>
		    </div>
    </div>

    <?php _message(); ?>

    <div class="mt-10 card p-6">
        <form action="<?php echo url('dashboard.settings.general.update') ?>" method="post" enctype="multipart/form-data" class="grid gap-4">
            <?php _method('PATCH'); ?>
            <div>
              <label for="inputWebsiteURL" class="form-label"><?php e__('Website URL') ?>:*</label>
              <div>
                <input type="text" id="inputWebsiteURL" class="form-control" name="websiteURL" value="<?php _old('websiteURL', settings('websiteURL')); ?>" required>
              </div>
            </div>
            <div>
                <label for="inputServerName" class="form-label"><?php e__('Server Name') ?>:*</label>
                <div>
                    <input type="text" id="inputServerName" class="form-control" name="serverName" value="<?php _old('serverName', settings('serverName')); ?>" required>
                </div>
            </div>
            <div>
                <label for="inputSiteSlogan" class="form-label"><?php e__('Site Title') ?>:*</label>
                <div>
                    <input type="text" id="inputSiteSlogan" class="form-control" name="siteSlogan" value="<?php _old('siteSlogan', settings('siteSlogan')); ?>" required>
                </div>
            </div>
            <div>
                <label for="inputServerIP" class="form-label"><?php e__('Server IP') ?>:</label>
                <div>
                    <input type="text" id="inputServerIP" class="form-control" name="serverIP" value="<?php _old('serverIP', settings('serverIP')); ?>">
                </div>
            </div>
            <div>
                <label for="inputServerVersion" class="form-label"><?php e__('Server Version') ?>:</label>
                <div>
                    <input type="text" id="inputServerVersion" class="form-control" name="serverVersion" value="<?php _old('serverVersion', settings('serverVersion')); ?>">
                </div>
            </div>
            <div>
                <label for="textareaSiteDescription" class="form-label"><?php e__('Google Description') ?>:</label>
                <div>
                    <textarea id="textareaSiteDescription" class="form-control" name="siteDescription"><?php _old('siteDescription', settings('siteDescription')); ?></textarea>
                </div>
            </div>
            <div>
                <label for="inputFacebookURL" class="form-label">Facebook URL:</label>
                <div>
                    <input type="text" id="inputFacebookURL" class="form-control" name="facebookUrl" value="<?php _old('facebookUrl', settings('facebookUrl')); ?>">
                </div>
            </div>
            <div>
                <label for="inputXURL" class="form-label">Twitter URL:</label>
                <div>
                    <input type="text" id="inputXURL" class="form-control" name="xUrl" value="<?php _old('xUrl', settings('xUrl')); ?>">
                </div>
            </div>
            <div>
                <label for="inputInstagramURL" class="form-label">Instagram URL:</label>
                <div>
                    <input type="text" id="inputInstagramURL" class="form-control" name="instagramUrl" value="<?php _old('instagramUrl', settings('instagramUrl')); ?>">
                </div>
            </div>
            <div>
                <label for="inputTiktokURL" class="form-label">TikTok URL:</label>
                <div>
                    <input type="text" id="inputTiktokURL" class="form-control" name="tiktokUrl" value="<?php _old('tiktokUrl', settings('tiktokUrl')); ?>">
                </div>
            </div>
            <div>
                <label for="inputYoutubeURL" class="form-label">YouTube URL:</label>
                <div>
                    <input type="text" id="inputYoutubeURL" class="form-control" name="youtubeUrl" value="<?php _old('youtubeUrl', settings('youtubeUrl')); ?>">
                </div>
            </div>
            <div>
                <label for="inputDiscordURL" class="form-label">Discord URL:</label>
                <div>
                    <input type="text" id="inputDiscordURL" class="form-control" name="discordUrl" value="<?php _old('discordUrl', settings('discordUrl')); ?>">
                </div>
            </div>
		        <div x-data="textEditor()">
			        <label for="textareaAbout" class="form-label"><?php e__('About Us') ?>:</label>
			        <div class="mt-2">
				        <textarea x-ref="textEditor" class="form-control" name="about" id="textareaAbout"><?php echo settings('about') ?></textarea>
			        </div>
		        </div>
            <div x-data="textEditor()">
                <label for="textareaVoteHelp" class="form-label"><?php e__('Vote Details') ?>:</label>
                <div class="mt-2">
                        <textarea x-ref="textEditor" class="form-control" name="voteHelp" id="textareaVoteHelp"
                        ><?php echo settings('voteHelp') ?></textarea>
                </div>
            </div>
            <div x-data="textEditor()">
                <label for="textareaSupportMessageTemplate" class="form-label"><?php e__('Support Message Template') ?>:</label>
                <div>
                    <div class="mt-2">
                        <textarea x-ref="textEditor" class="form-control" name="supportMessageTemplate" id="textareaSupportMessageTemplate"><?php echo settings('supportMessageTemplate') ?></textarea>
                    </div>
                    <div class="grid gap-1 lg:grid-cols-3 mt-2">
                        <small class="text-gray-400/75"><strong><?php e__('Note') ?>:</strong> <?php e__('%message% is required') ?></small>
                        <small class="text-gray-400/75"><strong><?php e__('Message') ?>:</strong> %message%</small>
                        <small class="text-gray-400/75"><strong><?php e__('Username') ?>:</strong> %username%</small>
                        <small class="text-gray-400/75"><strong><?php e__('Server Name') ?>:</strong> %servername%</small>
                        <small class="text-gray-400/75"><strong><?php e__('Server IP') ?>:</strong> %serverip%</small>
                    </div>
                </div>
            </div>
            <div>
                <label for="fileFavicon" class="form-label"><?php e__('Favicon') ?>:</label>
                <div x-data="image">
                    <div class="mt-2 image-group" x-bind="imageContainer">
                      <img x-show="imagePreview === null" src="<?php echo '/favicon.ico?cache='.settings('updatedAt') ?>" alt="">
                      <img x-show="imagePreview !== null" :src="imagePreview" alt="">
                        <span>
                          <?php e__('Select an image') ?>
                        </span>
                        <input name="favicon" x-bind="imageInput" type="file" accept="image/*" class="opacity-0">
                    </div>
                </div>
            </div>
            <div class="flex justify-end mt-10">
                <?php _csrf(); ?>
                <button type="submit" class="btn btn-success"><?php e__('Save Changes') ?></button>
            </div>
        </form>
    </div>
</section>