<?php
$breadcrumbs = [
  [
    'url' => 'dashboard.settings.index',
    'text' => t__('Settings')
  ],
  [
    'text' => t__('Paraşüt')
  ]
];
$this->layout('layouts/main', [
  'title' => t__('Paraşüt Settings'),
  'category' => 'settings.parasut',
  'breadcrumbs' => $breadcrumbs
]) ?>

<section class="los-container tight-container py-9">
  <div class="los-page-heading">
    <h1 class="text-gray-950"><?php e__('Paraşüt Settings') ?></h1>
    <a href="<?php echo url('dashboard.settings.index') ?>" class="btn btn-default">
            <?php e__('Back') ?>
    </a>
  </div>

  <?php _message(); ?>

  <form action="<?php echo url('dashboard.settings.parasut.update') ?>" method="post" enctype="multipart/form-data" class="grid gap-4" x-data="{authType: '<?php _old('parasutAuthType', settings('parasutAuthType')); ?>'}">
    <?php _method('PATCH'); ?>
    <div class="mt-10 card p-6 grid gap-4">
      <div>
        <label for="parasutClientID" class="form-label"><?php e__('Client ID') ?>:</label>
        <div>
          <input type="text" id="parasutClientID" class="form-control" name="parasutClientID" value="<?php _old('parasutClientID', settings('parasutClientID')); ?>">
        </div>
      </div>
      <div>
        <label for="parasutClientSecret" class="form-label"><?php e__('Client Secret') ?>:</label>
        <div>
          <input type="text" id="parasutClientSecret" class="form-control" name="parasutClientSecret" value="<?php _old('parasutClientSecret', settings('parasutClientSecret')); ?>">
        </div>
      </div>
      <div>
        <label for="parasutCompanyID" class="form-label">Firma ID:</label>
        <div>
          <input type="text" id="parasutCompanyID" class="form-control" name="parasutCompanyID" value="<?php _old('parasutCompanyID', settings('parasutCompanyID')); ?>">
        </div>
      </div>
      <div>
        <label for="parasutAccountID" class="form-label">Kasa/Banka ID:</label>
        <div>
          <input type="text" id="parasutAccountID" class="form-control" name="parasutAccountID" value="<?php _old('parasutAccountID', settings('parasutAccountID')); ?>">
        </div>
      </div>
	    <div>
		    <label for="parasutProductID" class="form-label">Ürün ID:</label>
		    <div>
			    <input type="text" id="parasutProductID" class="form-control" name="parasutProductID" value="<?php _old('parasutProductID', settings('parasutProductID')); ?>">
		    </div>
	    </div>
      <div>
        <label for="parasutAuthType" class="form-label">Doğrulama Türü:</label>
        <div>
          <select x-data="select2Alpine()" name="parasutAuthType" id="parasutAuthType" x-init="changed('parasutAuthType', () => authType = selected)">
            <option value="1" <?php _selected(old('parasutAuthType', settings('parasutAuthType')) == '1'); ?>>
              <?php e__('Email-Password') ?>
            </option>
            <option value="2" <?php _selected(old('parasutAuthType', settings('parasutAuthType')) == '2'); ?>>
              <?php e__('OAuth') ?>
            </option>
          </select>
        </div>
      </div>
      <div x-show="authType === '1'">
        <label for="parasutUsername" class="form-label"><?php e__('Email') ?>:</label>
        <div>
          <input type="text" id="parasutUsername" class="form-control" name="parasutUsername" value="<?php _old('parasutUsername', settings('parasutUsername')); ?>">
        </div>
      </div>
      <div x-show="authType === '1'">
        <label for="parasutPassword" class="form-label"><?php e__('Password') ?>:</label>
        <div>
          <input type="text" id="parasutPassword" class="form-control" name="parasutPassword" value="<?php _old('parasutPassword', settings('parasutPassword')); ?>">
        </div>
      </div>
      <div>
        <label for="parasutDevelopment" class="form-label"><?php e__('Development Mode') ?>:</label>
        <div>
          <select x-data="select2Alpine()" name="parasutDevelopment" id="parasutDevelopment">
            <option value="0" <?php _selected(old('parasutDevelopment', settings('parasutDevelopment')) == '0'); ?>>
              <?php e__('Disable') ?>
            </option>
            <option value="1" <?php _selected(old('parasutDevelopment', settings('parasutDevelopment')) == '1'); ?>>
              <?php e__('Enable') ?>
            </option>
          </select>
        </div>
      </div>
    </div>
    <div class="flex justify-end">
      <?php _csrf(); ?>
      <button type="submit" class="btn btn-success"><?php e__('Save Changes') ?></button>
    </div>
  </form>
</section>