<?php
$breadcrumbs = [
    [
        'text' => t__('Tebex Store')
    ],
    [
        'text' => t__('Settings')
    ]
];
$this->layout('layouts/main', [
    'title' => t__('Tebex Store Settings'),
    'category' => 'tebex-store.settings',
    'breadcrumbs' => $breadcrumbs
]) ?>

<section class="los-container tight-container py-9">
    <div class="los-page-heading">
        <h1 class="text-gray-950"><?php e__('Tebex Store Settings') ?></h1>
        <div class="flex gap-2">
	        <a href="<?php echo leaderosWebsiteUrl() ?>/free-tebex-plus?domain=<?php echo getDomain($_SERVER['HTTP_HOST']); ?>" class="btn btn-primary" target="_blank">
		        <?php e__('Set up your Store') ?>
	        </a>
	        <a href="<?php echo leaderosHelpUrl() ?>/integrations/tebex-store" class="btn btn-dark" target="_blank">
            <?php e__('Help') ?>
          </a>
        </div>
    </div>

    <?php _message(); ?>

    <form action="<?php echo url('dashboard.tebex-store.settings.update') ?>" method="post" class="grid gap-4">
        <?php _method('PATCH'); ?>
        <?php _csrf(); ?>
        <div class="mt-10 card p-6 grid gap-4">
            <div>
                <label for="tebexStorePublicKey" class="form-label">Public Token:</label>
                <div>
                    <input type="text" id="tebexStorePublicKey" class="form-control" name="tebexStorePublicKey" value="<?php _old('tebexStorePublicKey', settings('tebexStorePublicKey')); ?>">
                </div>
            </div>
            <div>
              <label for="tebexStoreSecretKey" class="form-label">Webhook Secret Key:</label>
              <div>
                <input type="text" id="tebexStoreSecretKey" class="form-control" name="tebexStoreSecretKey" value="<?php _old('tebexStoreSecretKey', settings('tebexStoreSecretKey')); ?>">
              </div>
            </div>
        </div>
        <div class="flex justify-end gap-2">
            <button type="submit" class="btn btn-success"><?php e__('Save Changes') ?></button>
        </div>
    </form>
</section>