<?php
	namespace Install\Services;
	
	class VariablesService
	{
		/* Languages */
		public static array $languages = [
			"en" => "English",
			"es" => "Español",
			"de" => "Deutsch",
			"tr" => "Türkçe",
			"fr" => "Français",
			"ru" => "Русский",
			"vi" => "Tiếng Việt",
			"cs" => "Čeština",
			"pl" => "Polski",
			"pt_BR" => "Português (Brasil)",
			"hu" => "Magyar",
			"it" => "Italiano",
			"ro" => "Română",
			"nl" => "Nederlands",
			"ja" => "日本語",
			"sv" => "Svenska",
			"no" => "Norsk",
			"zh_CN" => "中文",
			"hi" => "हिन्दी",
		];
		
		/* Currencies */
		public static array $currencies = [
			"USD" => [
				'symbol' => '$',
				'label' => 'USD',
				'suffix' => ' USD'
			],
			"EUR" => [
				'symbol' => '€',
				'label' => 'EUR',
				'suffix' => ' EUR'
			],
			"GBP" => [
				'symbol' => '£',
				'label' => 'GBP',
				'suffix' => ' GBP'
			],
			"TRY" => [
				'symbol' => '₺',
				'label' => 'TL',
				'suffix' => ' ₺'
			],
			"AUD" => [
				'symbol' => 'A$',
				'label' => 'AUD',
				'suffix' => ' AUD'
			],
			"BRL" => [
				'symbol' => 'R$',
				'label' => 'BRL',
				'suffix' => ' BRL'
			],
			"CAD" => [
				'symbol' => 'C$',
				'label' => 'CAD',
				'suffix' => ' CAD'
			],
			"DKK" => [
				'symbol' => 'kr',
				'label' => 'DKK',
				'suffix' => ' DKK'
			
			],
			"NOK" => [
				'symbol' => 'kr',
				'label' => 'NOK',
				'suffix' => ' NOK'
			],
			"NZD" => [
				'symbol' => 'NZ$',
				'label' => 'NZD',
				'suffix' => ' NZD'
			],
			"PLN" => [
				'symbol' => 'zł',
				'label' => 'PLN',
				'suffix' => ' PLN'
			],
			"SEK" => [
				'symbol' => 'kr',
				'label' => 'SEK',
				'suffix' => ' SEK'
			],
			"RUB" => [
				'symbol' => '₽',
				'label' => 'RUB',
				'suffix' => ' RUB'
			],
			"JPY" => [
				'symbol' => '¥',
				'label' => 'JPY',
				'suffix' => ' JPY'
			],
			"VND" => [
				'symbol' => '₫',
				'label' => 'VND',
				'suffix' => ' VND'
			],
			"CNY" => [
				'symbol' => '¥',
				'label' => 'CNY',
				'suffix' => ' CNY'
			],
			"CZK" => [
				'symbol' => 'Kč',
				'label' => 'CZK',
				'suffix' => ' CZK'
			],
			"INR" => [
				'symbol' => '₹',
				'label' => 'INR',
				'suffix' => ' INR'
			],
			"PHP" => [
				'symbol' => '₱',
				'label' => 'PHP',
				'suffix' => ' PHP'
			],
			"HUF" => [
				'symbol' => 'Ft',
				'label' => 'HUF',
				'suffix' => ' HUF'
			],
		];
		
		/* SEO Pages */
		public static array $seoPages = [
			[
				'page' => 'home',
				'title' => '%site_title% - %tagline%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'auth.login',
				'title' => '%translate:"Login"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'auth.register',
				'title' => '%translate:"Register"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'auth.forgot-password',
				'title' => '%translate:"Forgot Password"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'auth.reset-password',
				'title' => '%translate:"Reset Password"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'tfa.index',
				'title' => '%translate:"Two Factor Authentication"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'tfa.recover.index',
				'title' => '%translate:"Recover Account"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'email.verification.index',
				'title' => '%translate:"Verify Email"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.profile.index',
				'title' => '%translate:"Profile"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.orders',
				'title' => '%translate:"Orders"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.subscriptions',
				'title' => '%translate:"Subscriptions"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.credit-history',
				'title' => '%translate:"Credit History"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.applications',
				'title' => '%translate:"Applications"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.settings.profile',
				'title' => '%translate:"Edit Profile"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.settings.security',
				'title' => '%translate:"Security"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.settings.linked-accounts',
				'title' => '%translate:"Linked Accounts"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'account.contact.edit',
				'title' => '%translate:"Edit Contact Details"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'members.index',
				'title' => '%translate:"Members"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'members.show',
				'title' => '%username% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'blog.index',
				'title' => '%translate:"Blog"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'blog.posts.show',
				'title' => '%post_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'blog.categories.show',
				'title' => '%category_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'blog.tags.show',
				'title' => '%tag% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'store.index',
				'title' => '%translate:"Store"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'store.categories.show',
				'title' => '%category_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'store.products.show',
				'title' => '%product_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'store.cart',
				'title' => '%translate:"Cart"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'credits.charge.index',
				'title' => '%translate:"Buy Credits"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'credits.send.index',
				'title' => '%translate:"Send Credits"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'credits.send.to',
				'title' => '%translate:"Send Credits to %username%"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'credits.packages.index',
				'title' => '%translate:"Credit Packages"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'credits.packages.show',
				'title' => '%package_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'payment.pay',
				'title' => '%payment_gateway% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'payment.success',
				'title' => '%translate:"Payment Successful"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'payment.error',
				'title' => '%translate:"Payment Failed"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'leaderboards.index',
				'title' => '%translate:"Leaderboards"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'leaderboards.show',
				'title' => '%leaderboard_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'leaderboards.search',
				'title' => '%translate:"Search results for: %search_query%"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'games.index',
				'title' => '%translate:"Games"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'games.show',
				'title' => '%game_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'help.index',
				'title' => '%translate:"Help Center"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'help.articles.show',
				'title' => '%article_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'help.topics.show',
				'title' => '%topic_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'help.search',
				'title' => '%translate:"Search results for: %search_query%"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'gaming-night.index',
				'title' => '%translate:"Gaming Night"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'gaming-night.products.show',
				'title' => '%product_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forum.index',
				'title' => '%translate:"Forum"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forum.categories.show',
				'title' => '%category_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forum.threads.show',
				'title' => '%thread_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forum.threads.create',
				'title' => '%translate:"Post Thread"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forum.threads.edit',
				'title' => '%translate:"Editing %thread_title%"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forum.replies.edit',
				'title' => '%translate:"Editing Reply"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'punishments.index',
				'title' => '%translate:"Punishments"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'punishments.bans',
				'title' => '%translate:"Bans"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'punishments.kicks',
				'title' => '%translate:"Kicks"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'punishments.mutes',
				'title' => '%translate:"Mutes"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'punishments.warnings',
				'title' => '%translate:"Warnings"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'suggestions.index',
				'title' => '%translate:"Suggestions"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'suggestions.categories.show',
				'title' => '%category_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'suggestions.show',
				'title' => '%suggestion_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'suggestions.create',
				'title' => '%translate:"Post Suggestion"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'suggestions.edit',
				'title' => '%translate:"Editing %suggestion_title%"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'suggestions.replies.edit',
				'title' => '%translate:"Editing Reply"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'download.index',
				'title' => '%translate:"Download"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'download.show',
				'title' => '%file_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'play',
				'title' => '%translate:"Play"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'changelog',
				'title' => '%translate:"Changelog"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'staff',
				'title' => '%translate:"Staff"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'vote',
				'title' => '%translate:"Vote"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'applications.show',
				'title' => '%form_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'forms.show',
				'title' => '%form_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.index',
				'title' => '%translate:"Bazaar"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.help',
				'title' => '%translate:"Bazaar Help"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.logs',
				'title' => '%translate:"Bazaar History"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.servers.show',
				'title' => '%server_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.products.show',
				'title' => '%product_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.manage.index',
				'title' => '%translate:"Manage Bazaar"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'bazaar.manage.edit',
				'title' => '%translate:"Editing %product_name%"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'fortune-wheel.index',
				'title' => '%translate:"Wheel of Fortune"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'fortune-wheel.show',
				'title' => '%fortune_wheel_name% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'fortune-wheel.logs',
				'title' => '%translate:"Wheel of Fortune History"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'support.tickets.index',
				'title' => '%translate:"Tickets"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'support.tickets.create',
				'title' => '%translate:"Open Ticket"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'support.tickets.show',
				'title' => '%ticket_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'orders.show',
				'title' => '%translate:"Orders"% #%order_id% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'chest.index',
				'title' => '%translate:"Chest"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'chest.gift.index',
				'title' => '%translate:"Send Gift"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'chest.logs',
				'title' => '%translate:"Chest History"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'gifts.index',
				'title' => '%translate:"Gift"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'gifts.logs',
				'title' => '%translate:"Gift History"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'maintenance',
				'title' => '%translate:"Maintenance"% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => 'page',
				'title' => '%page_title% - %site_title%',
				'description' => null,
				'image' => null,
			],
			[
				'page' => '404',
				'title' => '%translate:"Page not found!"% - %site_title%',
				'description' => null,
				'image' => null,
			],
		];
		
		/* Modules */
		public static array $modules = [
			[
				"id" => "forum",
				"name" => "Forum",
				"description" => "Your players can chat and discuss topics within the different categories you create. Also, don't forget to decorate your user flags with the custom roles!",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "bazaar",
				"name" => "Bazaar",
				"description" => "Create a marketplace for your players. They can sell their items and buy items from other players.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "store",
				"name" => "Store",
				"description" => "Start monetizing your server by adding your products to the store. You can increase your sales with systems such as discounts, coupons, gifts and stock.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "blog",
				"name" => "Blog",
				"description" => "Share server updates, news, and cool stuff with ease. Stay connected with your players and come together in the comments!",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "support",
				"name" => "Support",
				"description" => "Manage your support tickets with your team. You can also create custom fields for your support tickets.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "help",
				"name" => "Help Center",
				"description" => "Write articles and create a knowledge base to help your players.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "leaderboards",
				"name" => "Leaderboards",
				"description" => "Create leaderboards and fetch data from your MySQL database.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "chest",
				"name" => "Chest",
				"description" => "Save bought items in store chest to redeem them later or gift it to other players.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "credit",
				"name" => "Credits",
				"description" => "Enable using credits on your website. Your players can buy credits and use them on your website.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "download",
				"name" => "Download Center",
				"description" => "Upload your files to the download center and share them with your players.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "form",
				"name" => "Custom Forms",
				"description" => "Create custom forms like contact form, report form, etc.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "games",
				"name" => "Gamemodes",
				"description" => "Introduce your gamemodes to your players.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "gaming_night",
				"name" => "Gaming Night",
				"description" => "Make special discounts with limited stocks on selected products on a certain day and time of the week.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "gift",
				"name" => "Gifts",
				"description" => "Create gift codes and share them with your players.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "lottery",
				"name" => "Wheel of Fortune",
				"description" => "Create a Wheel of Fortune game and share it with your players. You can also add a link to the game.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "page",
				"name" => "Custom Pages",
				"description" => "Create custom pages with using HTML editor.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "player",
				"name" => "Player Profiles",
				"description" => "Create player profiles and share them with your players. You can also add a link to the player profile.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "application",
				"name" => "Applications",
				"description" => "Create application forms and manage them with your team.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "tfa",
				"name" => "Two Factor Authentication",
				"description" => "With two-factor authentication, users can increase the security of their accounts.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "staff",
				"name" => "Staff",
				"description" => "Create a staff page and share it with your players. You can also add a link to the staff page.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "vote",
				"name" => "Vote",
				"description" => "Share Vote Links with your players and reward them with in-game items.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "punishments",
				"name" => "Punishments",
				"description" => "Create a Punishments page using LiteBans/AdvancedBan plugin data and share them with your players.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "announcements",
				"name" => "Announcements",
				"description" => "Create announcements and share them with your players.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "slider",
				"name" => "Slider",
				"description" => "Create a slider and share it with your players. You can also add a link to the slider.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "suggestions",
				"name" => "Suggestions",
				"description" => "Get suggestions from your players and manage them with your team. You can also create custom fields for your suggestions.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "discord",
				"name" => "Discord Bot (Legacy)",
				"description" => "This module is deprecated. Please use the new Discord Bot module.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "discord_bot",
				"name" => "Discord Bot",
				"description" => "Integrate your website with your discord server.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "parasut",
				"name" => "Paraşüt",
				"description" => "You can create and send invoices to your customers with Paraşüt integration.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "birfatura",
				"name" => "BirFatura",
				"description" => "You can create and send invoices to your customers with BirFatura integration.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "tebex_store",
				"name" => "Tebex Store",
				"description" => "Manage your store with Tebex! Allow your players to choose from over 120+ payments methods, fast and easy. All LeaderOS customer receive free Plus Plan via Tebex!",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "tawkto",
				"name" => "Tawk.to",
				"description" => "Tawk.to is a free live chat widget that lets you monitor and chat with visitors on your website.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "google_analytics",
				"name" => "Google Analytics",
				"description" => "Analyze in-depth detail about the visitors on your website with Google Analytics.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "recaptcha",
				"name" => "Cloudflare Turnstile",
				"description" => "Protect your website from spam and abuse while letting real people pass through with ease. It is an alternative to Google reCAPTCHA.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "cookie_consent",
				"name" => "Cookie Consent",
				"description" => "Cookie Consent is a free solution to the EU cookie law. It is highly customizable and supports multiple languages.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "email_verification",
				"name" => "Email Verification",
				"description" => "Verify your user's email addresses and increase the security of your website.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "popup",
				"name" => "Popup",
				"description" => "Shows a popup screen to visitors when they visit the website.",
				"isEnabled" => 0,
				"settings" => []
			],
			[
				"id" => "changelog",
				"name" => "Changelog",
				"description" => "Share changelog with your players and keep them informed about the updates.",
				"isEnabled" => 1,
				"settings" => []
			],
			[
				"id" => "account_linking",
				"name" => "Account Linking",
				"description" => "Enable users to link third-party accounts such as Discord, Steam, and more.",
				"isEnabled" => 0,
				"settings" => []
			],
		];
		
		/* Forum Permissions */
		public static array $forumPermissions = [
			'VIEW_FORUM' => "Can view forum?",
			'CREATE_TOPICS' => "Can create topics?",
			'CREATE_REPLIES' => "Can create replies?",
			'MODERATE_FORUM' => "Can moderate forum?",
		];
		
		/* Support Category Permissions */
		public static array $supportCategoryPermissions = [
			'VIEW_CATEGORY' => "Can view category?",
			'REPLY_TICKETS' => "Can reply tickets?",
			'CLOSE_TICKETS' => "Can close tickets?",
			'DELETE_TICKETS' => "Can delete tickets?",
			'DELETE_MESSAGES' => "Can delete messages?",
		];
		
		/* Permissions */
		public static array $permissions = [
			'SUPER_ADMIN' => "Super Admin",
			'VIEW_DASHBOARD' => "View Dashboard",
			'VIEW_STATS' => "View Stats",
			'MANAGE_ACCOUNTS' => "Manage Accounts",
			'MANAGE_APPLICATIONS' => "Manage Applications",
			'MANAGE_BANS' => "Manage Bans",
			'MANAGE_BAZAAR' => "Manage Bazaar",
			'MANAGE_ANNOUNCEMENTS' => "Manage Announcements",
			'MANAGE_DOWNLOADS' => "Manage Downloads",
			'MANAGE_GAMES' => "Manage Games",
			'MANAGE_GIFTS' => "Manage Gifts",
			'MANAGE_HELP_CENTER' => "Manage Help Center",
			'MANAGE_LEADERBOARDS' => "Manage Leaderboards",
			'MANAGE_LOTTERY' => "Manage Wheel Of Fortune",
			'MANAGE_BLOG' => "Manage Blog",
			'MANAGE_NOTIFICATIONS' => "View Notifications",
			'MANAGE_PAGES' => "Manage Pages",
			'MANAGE_PAYMENT' => "Manage Payments",
			'MANAGE_ROLES' => "Manage Roles",
			'MANAGE_SERVERS' => "Manage Servers",
			'MANAGE_SETTINGS' => "Manage Settings",
			'MANAGE_SLIDER' => "Manage Slider",
			'MANAGE_STORE' => "Manage Store",
			'MANAGE_SUPPORT' => "Manage Support",
			'MANAGE_SUPPORT_TICKETS' => "Manage Support Tickets",
			'MANAGE_THEME' => "Manage Themes",
			'MANAGE_UPDATES' => "Manage Updates",
			'MANAGE_LOGS' => "Manage Logs",
			'MANAGE_GAMING_NIGHT' => "Manage Gaming Night",
			'MANAGE_FORUM' => "Manage Forum",
			'MANAGE_CUSTOM_FORMS' => "Manage Custom Forms",
			'MANAGE_MODULES' => "Manage Modules",
			'MANAGE_VOTES' => "Manage Votes",
			'MANAGE_SUGGESTIONS' => "Manage Suggestions",
			'MANAGE_COMMUNITY_GOALS' => "Manage Community Goals",
			'MANAGE_CHANGELOG' => "Manage Changelog",
		];
		
		/* Payment Methods */
		public static array $paymentGateways = [
			"paywant" => [
				'name' => 'Paywant',
				'title' => 'Paywant',
				'config' => [
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'Secret Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'commission_type',
						'value' => 'merchant',
						'settings' => [
							'title' => 'Komisyon Türü',
							'value_type' => 'select',
							'values' => [
								[
									'text' => 'Müşteriye Yansıt',
									'value' => 'merchant',
								],
								[
									'text' => 'Satıcıya Yansıt',
									'value' => 'merchant',
								],
							],
						]
					],
				]
			],
			"shopier" => [
				'name' => 'Shopier',
				'title' => 'Shopier',
				'config' => [
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Kullanıcı',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'API Şifre',
							'value_type' => 'text',
						]
					],
				]
			],
			"shipy" => [
				'name' => 'Shipy',
				'title' => 'Shipy',
				'config' => [
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
				]
			],
			"shipy_mobile" => [
				'name' => 'Shipy (Mobil)',
				'title' => 'Shipy (Mobil)',
				'config' => [
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
				]
			],
			"paytr" => [
				'name' => 'PayTR',
				'title' => 'PayTR',
				'config' => [
					[
						'key' => 'merchant_id',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza No',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'merchant_key',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza Parola',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'merchant_salt',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza Gizli Anahtar',
							'value_type' => 'text',
						]
					],
				]
			],
			"paytr_eft" => array(
				'name' => 'PayTR (EFT)',
				'title' => 'PayTR (EFT)',
				'config' => [
					[
						'key' => 'merchant_id',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza No',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'merchant_key',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza Parola',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'merchant_salt',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza Gizli Anahtar',
							'value_type' => 'text',
						]
					],
				]
			),
			"paypal_legacy" => [
				'name' => 'PayPal (Legacy)',
				'title' => 'PayPal',
				'config' => [
					[
						'key' => 'email',
						'value' => null,
						'settings' => [
							'title' => 'PayPal Email',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'sandbox',
						'value' => "0",
						'settings' => [
							'title' => 'Test Mode (Sandbox)',
							'value_type' => 'switch',
						]
					],
				]
			],
			"paypal_checkout" => [
				'name' => 'PayPal Checkout',
				'title' => 'PayPal',
				'config' => [
					[
						'key' => 'client_id',
						'value' => null,
						'settings' => [
							'title' => 'Client ID',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'client_secret',
						'value' => null,
						'settings' => [
							'title' => 'Client Secret',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'webhook_id',
						'value' => null,
						'settings' => [
							'title' => 'Webhook ID',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'sandbox',
						'value' => null,
						'settings' => [
							'title' => 'Test Mode (Sandbox)',
							'value_type' => 'switch',
						]
					],
				]
			],
			"stripe" => [
				'name' => 'Stripe',
				'title' => 'Stripe',
				'config' => [
					[
						'key' => 'public_key',
						'value' => null,
						'settings' => [
							'title' => 'Publishable Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'Secret Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'webhook_key',
						'value' => null,
						'settings' => [
							'title' => 'Signing Secret',
							'value_type' => 'text',
						]
					],
				]
			],
			"weepay" => [
				'name' => 'WeePay',
				'title' => 'WeePay',
				'config' => [
					[
						'key' => 'merchant_id',
						'value' => null,
						'settings' => [
							'title' => 'Bayi ID',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'Secret Key',
							'value_type' => 'text',
						]
					],
				]
			],
			"vallet" => [
				'name' => 'Vallet',
				'title' => 'Vallet',
				'config' => [
					[
						'key' => 'username',
						'value' => null,
						'settings' => [
							'title' => 'API Kullanıcı Adı',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'password',
						'value' => null,
						'settings' => [
							'title' => 'API Şifresi',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'store_code',
						'value' => null,
						'settings' => [
							'title' => 'Mağaza Kodu',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'hash',
						'value' => null,
						'settings' => [
							'title' => 'Şifreleme Anahtarı',
							'value_type' => 'text',
						]
					],
				]
			],
			"paymentwall" => [
				'name' => 'Paymentwall',
				'title' => 'Paymentwall',
				'config' => [
					[
						'key' => 'project_key',
						'value' => null,
						'settings' => [
							'title' => 'Project Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'Secret Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'widget_id',
						'value' => 'p1',
						'settings' => [
							'title' => 'Widget ID',
							'value_type' => 'text',
						]
					],
				]
			],
			"mercadopago" => [
				'name' => 'MercadoPago',
				'title' => 'MercadoPago',
				'config' => [
					[
						'key' => 'access_token',
						'value' => null,
						'settings' => [
							'title' => 'Access Token',
							'value_type' => 'text',
						]
					],
				]
			],
			"mollie" => [
				'name' => 'Mollie',
				'title' => 'Mollie',
				'config' => [
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
				]
			],
			"payu_india" => [
				'name' => 'PayU (India)',
				'title' => 'PayU (India)',
				'config' => [
					[
						'key' => 'merchant_key',
						'value' => null,
						'settings' => [
							'title' => 'Merchant Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'merchant_salt',
						'value' => null,
						'settings' => [
							'title' => 'Merchant Salt (v1)',
							'value_type' => 'text',
						]
					],
				]
			],
			"tebex_checkout" => [
				'name' => 'Tebex Checkout',
				'title' => 'Tebex Checkout',
				'config' => [
					[
						'key' => 'username',
						'value' => null,
						'settings' => [
							'title' => 'Username',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'Secret Key',
							'value_type' => 'text',
						]
					],
				]
			],
			"square" => [
				'name' => 'Square',
				'title' => 'Square',
				'config' => [
					[
						'key' => 'access_token',
						'value' => null,
						'settings' => [
							'title' => 'Access Token',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'location_id',
						'value' => null,
						'settings' => [
							'title' => 'Location ID',
							'value_type' => 'text',
						]
					],
				]
			],
			"manual" => [
				'name' => 'Manual Payment',
				'title' => 'Manual Payment',
				'config' => [
					[
						'key' => 'content',
						'value' => null,
						'settings' => [
							'title' => 'Content',
							'value_type' => 'html',
						]
					],
				]
			],
			"paybylink" => [
				'name' => 'PayByLink',
				'title' => 'PayByLink',
				'config' => [
					[
						'key' => 'shop_id',
						'value' => null,
						'settings' => [
							'title' => 'Shop ID',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'secret_key',
						'value' => null,
						'settings' => [
							'title' => 'Secret Key',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'hashing_algorithm',
						'value' => null,
						'settings' => [
							'title' => 'Hashing Algorithm',
							'value_type' => 'text',
						]
					],
				]
			],
			"cryptomus" => [
				'name' => 'Cryptomus',
				'title' => 'Cryptomus',
				'config' => [
					[
						'key' => 'merchant_id',
						'value' => null,
						'settings' => [
							'title' => 'Merchant ID',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'payment_api_key',
						'value' => null,
						'settings' => [
							'title' => 'Payment API Key',
							'value_type' => 'text',
						]
					],
				]
			],
			"phonepe" => [
				'name' => 'PhonePe',
				'title' => 'PhonePe',
				'config' => [
					[
						'key' => 'merchant_id',
						'value' => null,
						'settings' => [
							'title' => 'Merchant ID',
							'value_type' => 'text',
						]
					],
					[
						'key' => 'api_key',
						'value' => null,
						'settings' => [
							'title' => 'API Key',
							'value_type' => 'text',
						]
					],
				]
			],
		];
		
		/* Social Login Providers */
		public static array $accountLinkingProviders = [
			'discord' => 'Discord',
			'steam' => 'Steam',
			'cfx' => 'Cfx.re',
			'xbox' => 'Xbox',
			'minecraft' => 'Minecraft',
			'ingame' => 'In-Game Verification',
			'roblox' => 'Roblox',
		];
		
		/* Header */
		public static $header = [
			array(
				"title"       => "Home",
				"icon"        => "fas fa-home",
				"url"         => "/",
				"tab"         => 0,
				"route"       => "home",
				"module"      => ""
			),
			array(
				"title"       => "Store",
				"icon"        => "fas fa-shopping-cart",
				"url"         => "/store",
				"tab"         => 0,
				"route"       => "store",
				"module"      => "store"
			),
			array(
				"title"       => "Forum",
				"icon"        => "fas fa-comment",
				"url"         => "/forum",
				"tab"         => 0,
				"route"       => "forum",
				"module"      => "forum"
			),
			array(
				"title"       => "Help",
				"icon"        => "fas fa-question-circle",
				"url"         => "/help",
				"tab"         => 0,
				"route"       => "help",
				"module"      => "help"
			),
			array(
				"title"       => "Support",
				"icon"        => "fas fa-life-ring",
				"url"         => "/support/tickets",
				"tab"         => 0,
				"route"       => "support",
				"module"      => "support"
			)
		];
		
		/* Footer */
		public static $footer = [
			array(
				"title"       => "Quick Menu",
				"icon"        => "none",
				"url"         => "",
				"tab"         => 0,
				"route"       => "",
				"module"      => "",
				"children"    => [
					array(
						"title"       => "Home",
						"icon"        => "fas fa-home",
						"url"         => "/",
						"tab"         => 0,
						"route"       => "home",
						"module"      => ""
					),
					array(
						"title"       => "Store",
						"icon"        => "fas fa-shopping-cart",
						"url"         => "/store",
						"tab"         => 0,
						"route"       => "store",
						"module"      => "store"
					),
					array(
						"title"       => "Forum",
						"icon"        => "fas fa-comment",
						"url"         => "/forum",
						"tab"         => 0,
						"route"       => "forum",
						"module"      => "forum"
					),
					array(
						"title"       => "Help",
						"icon"        => "fas fa-question-circle",
						"url"         => "/help",
						"tab"         => 0,
						"route"       => "help",
						"module"      => "help"
					),
					array(
						"title"       => "Support",
						"icon"        => "fas fa-life-ring",
						"url"         => "/support/tickets",
						"tab"         => 0,
						"route"       => "support",
						"module"      => "support"
					)
				]
			),
			array(
				"title"       => "Social Media",
				"icon"        => "none",
				"url"         => "",
				"tab"         => 0,
				"route"       => "",
				"module"      => "",
				"children"    => [
					array(
						"title"       => "Facebook",
						"icon"        => "fab fa-facebook",
						"url"         => "%facebook%",
						"tab"         => 1,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "Instagram",
						"icon"        => "fab fa-instagram",
						"url"         => "%instagram%",
						"tab"         => 1,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "X",
						"icon"        => "fab fa-x-twitter",
						"url"         => "%x%",
						"tab"         => 1,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "YouTube",
						"icon"        => "fab fa-youtube",
						"url"         => "%youtube%",
						"tab"         => 1,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "TikTok",
						"icon"        => "fab fa-tiktok",
						"url"         => "%tiktok%",
						"tab"         => 1,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "Discord",
						"icon"        => "fab fa-discord",
						"url"         => "%discord%",
						"tab"         => 1,
						"route"       => "",
						"module"      => ""
					),
				]
			),
			array(
				"title"       => "Links",
				"icon"        => "none",
				"url"         => "",
				"tab"         => 0,
				"route"       => "",
				"module"      => "",
				"children"    => [
					array(
						"title"       => "Rules",
						"icon"        => "none",
						"url"         => "/rules",
						"tab"         => 0,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "Terms of Service",
						"icon"        => "none",
						"url"         => "/terms",
						"tab"         => 0,
						"route"       => "",
						"module"      => ""
					),
					array(
						"title"       => "Privacy Policy",
						"icon"        => "none",
						"url"         => "/privacy",
						"tab"         => 0,
						"route"       => "",
						"module"      => ""
					),
				]
			),
		];
	}