<?php
	namespace Main\Services;
	
	use PDO;
	
	class SubscriptionService
	{
		public static function getSubscriptionByCategory($category)
		{
			$discountProducts = explode(",", settings('storeDiscountProducts'));
			$subs = null;
			if ($category["isCumulative"] == '1' && auth()->check()) {
				$subs = db()->prepare("SELECT * FROM Subscriptions S INNER JOIN Products P ON P.id = S.productID WHERE P.categoryID = ? AND accountID = ? AND (endsAt > ? OR endsAt = '1000-01-01 00:00:00') ORDER BY P.priority DESC LIMIT 1");
				$subs->execute(array($category["id"], auth()->user()->id(), datetime()));
				$subs = $subs->fetch(PDO::FETCH_ASSOC);
				if ($subs) {
					if ($subs["discountedPrice"] > 0 && ($subs["discountExpiryDate"] > datetime() || $subs["discountExpiryDate"] == '1000-01-01 00:00:00'))
						$subs["price"] = $subs["discountedPrice"];
					else if (settings("storeDiscount") != 0 && (in_array($subs["productID"], $discountProducts) || settings("storeDiscountProducts") == '0') && (settings("storeDiscountExpiryDate") > datetime() || settings("storeDiscountExpiryDate") == '1000-01-01 00:00:00'))
						$subs["price"] = ($subs["price"] * (100 - settings("storeDiscount"))) / 100;
				}
			}
			
			return $subs;
		}
	}