<?php
	namespace Main\Core;
	
	class Module {
		
		private string $id;
		private string $name;
		private string $version;
		private bool $isActive;
		private array $settings;
		
		public function __construct(string $id, string $name, string $version, bool $isActive, string $settings) {
			$this->id = $id;
			$this->name = $name;
			$this->version = $version;
			$this->isActive = $isActive;
			$this->settings = $this->parseSettings($settings);
		}
		
		public function id(): string {
			return $this->id;
		}
		
		public function name(): string {
			return $this->name;
		}
		
		public function version(): string {
			return $this->version;
		}
		
		public function isActive(): string {
			return $this->isActive;
		}
		
		public function settings($name): array {
			return $this->settings[$name];
		}
		
		private function parseSettings($settings): array {
			$settings = json_decode($settings, true);
			foreach($settings as $setting) {
				$settings[$setting['name']] = $setting['value'];
			}
			return $settings;
		}
	}
